package com.example.mmad.testapp.query;

import com.example.mmad.testapp.event.UserCreatedEvent;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Component;

@Component
public class UserQueryHandler {
    @EventListener
    public void handelUserCreated(UserCreatedEvent event) {
        System.out.println("Received user created event" + event.getUserId());
    }
}
